For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList client tokens
      • POSTCreate client token
      • GETGet client token
      • PUTUpdate client token
      • DELDelete client token
      • GETGet client token value
      • POSTRegenerate client token
      • GETList conversations for client token
Dashboard
LogoLogo
Runtype APIClient Tokens

List conversations for client token

GET
/v1/client-tokens/:id/conversations
GET
/v1/client-tokens/:id/conversations
$curl https://api.runtype.com/v1/client-tokens/id/conversations \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "conversations": [
3 {
4 "id": "c9f1a2b4-3d7e-4f8a-9b2c-5e6d7f8a9b0c",
5 "name": "Customer Support Chat",
6 "firstMessage": "Hello, I need help with my order.",
7 "createdAt": "2024-06-10T09:15:00Z",
8 "updatedAt": "2024-06-10T09:45:00Z",
9 "flowId": null,
10 "origin": null,
11 "messageCount": null
12 }
13 ],
14 "pagination": {
15 "limit": 1,
16 "offset": 1,
17 "hasMore": true
18 }
19}
List conversations associated with a client token using offset pagination.
Was this page helpful?
Previous

Get API key permission options

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Query parameters

limitstringOptional
offsetstringOptional
flow_idstringOptional

Response

Paginated conversations
conversationslist of objects
paginationobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error